<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#if sysrun.getPSAppServer() ?? >
<#assign tomcatPath=sysrun.getPSAppServer().getAppFolder()?substring(0,(sysrun.getPSAppServer().getAppFolder()?length)-7)>
<#if sys.getPSSVNInstRepo().getGitBranch()?? && sys.getPSSVNInstRepo().getGitBranch()!="">
      <#assign branch=sys.getPSSVNInstRepo().getGitBranch()>
    <#else>
      <#assign branch='master'>
</#if>
<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description>${sys.getPubSystemId()}</description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <com.gitee.jenkins.connection.GiteeConnectionProperty plugin="gitee@1.1.3">
      <giteeConnection></giteeConnection>
    </com.gitee.jenkins.connection.GiteeConnectionProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers/>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>
source /etc/profile 
rm -rf ${pub.codeName}
git clone -b ${branch} ${sys.getPSSVNInstRepo().getGitPath()} ${pub.codeName}
cd ${pub.codeName}
echo &apos;echo &apos;${sysrun.getPSAppServer().getRemotePassword()} &gt; apppasswd.sh
chmod -R 777 *
sed -i &quot;s/\r//&quot; `find ./ -name &quot;*.sh&quot;` 
cd ./	
if [ -f ./app_${pub.getPSApplication().getPKGCodeName()}/ibizbuild.sh ]
  then		  
    ./app_${pub.getPSApplication().getPKGCodeName()}/ibizbuild.sh
fi
mvn clean install
cd ./srv_${pub.codeName}/target/
mv srv_${pub.codeName}-1.0.0.0 ${pub.codeName}
zip -r ${pub.codeName}.zip ${pub.codeName}
setsid env SSH_ASKPASS=&apos;../../apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; ssh ${sysrun.getPSAppServer().getRemoteUserName()}@${sysrun.getPSAppServer().getRemoteAddress()} &quot;rm -rf ${tomcatPath}webapps/${pub.codeName}*&quot;
setsid env SSH_ASKPASS=&apos;../../apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; scp -r ${pub.codeName}.zip ${sysrun.getPSAppServer().getRemoteUserName()}@${sysrun.getPSAppServer().getRemoteAddress()}:${tomcatPath}webapps/
setsid env SSH_ASKPASS=&apos;../../apppasswd.sh&apos; DISPLAY=&apos;none:0&apos; ssh ${sysrun.getPSAppServer().getRemoteUserName()}@${sysrun.getPSAppServer().getRemoteAddress()} &quot;unzip ${tomcatPath}webapps/${pub.codeName}.zip -d ${tomcatPath}webapps/;${tomcatPath}bin/shutdown.sh;ps -ef | grep &apos;${tomcatPath}&apos;| tr -s &apos; &apos;|cut -d&apos; &apos; -f2,8,9 | grep &apos;${tomcatPath}&apos; | cut -d&apos; &apos; -f1|xargs  --no-run-if-empty kill -9;${tomcatPath}bin/startup.sh&quot;
		</command> 	
    </hudson.tasks.Shell>
  </builders>
  <publishers>
    <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup@0.34">
      <patterns class="empty-list"/>
      <deleteDirs>false</deleteDirs>
      <skipWhenFailed>false</skipWhenFailed>
      <cleanWhenSuccess>true</cleanWhenSuccess>
      <cleanWhenUnstable>true</cleanWhenUnstable>
      <cleanWhenFailure>true</cleanWhenFailure>
      <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
      <cleanWhenAborted>true</cleanWhenAborted>
      <notFailBuild>false</notFailBuild>
      <cleanupMatrixParent>false</cleanupMatrixParent>
      <externalDelete></externalDelete>
    </hudson.plugins.ws__cleanup.WsCleanup>
  </publishers>
  <buildWrappers>
    <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
  </buildWrappers>
</project>
</#if>
